# Config file for Pari  -- evbarm running netbsd (portable C/GMP-6.3.0 kernel) 32-bit version

shell_q="'"
pari_release='2.3.5'
pari_release_verbose='2.3.5 (STABLE)'
version='2.3'
libpari_base='pari-gmp'
static='n'
TOP='/pbulk/work/math/pari23/work/pari-2.3.5'
objdir='Onetbsd-evbarm'
arch='evbarm'
asmarch='none'
osname='netbsd'
pretty='evbarm running netbsd (portable C/GMP-6.3.0 kernel) 32-bit version'
kernlvl0='none'
kernlvl1='gmp'
LIBS='-lm -L/usr/pkg/lib -lgmp'
dir_sep=':'
runpath='/usr/pkg/lib'
runpathprefix='-rpath '
LDDYN='-Wl,-R/usr/pkg/lib -L/usr/pkg/lib -lpari'
ranlib='/usr/bin/ranlib'
gzip=''
zcat='/usr/bin/zcat'
emacs=''
perl='/usr/pkg/bin/perl'
ln_s='ln -sf'
make_sh='/bin/sh'
sizeof_long='4'
doubleformat='1'
X11=''
X11_INC=''
X11_LIBS=''
which_graphic_lib='none'
FLTKDIR=''
FLTK_LIBS=' -lstdc++'
QTDIR=''
QTLIB=''
test_extra_out=' ploth'
test_extra=' compat ellglobalred galois intnum qfbsolve rfrac round4 stark'
test_basic=' objets analyz number polyser linear elliptic sumiter graph program trans nfields_200'
top_test_extra='test-compat test-ellglobalred test-galois test-intnum test-qfbsolve test-rfrac test-round4 test-stark test-ploth'
top_dotest_extra='dotest-compat dotest-ellglobalred dotest-galois dotest-intnum dotest-qfbsolve dotest-rfrac dotest-round4 dotest-stark dotest-ploth'
prefix='/usr/pkg'
share_prefix='/usr/pkg/share'
bindir='/usr/pkg/bin'
datadir='/usr/pkg/share/pari'
emacsdir='/usr/pkg/share/emacs/site-lisp/pari'
includedir='/usr/pkg/include'
libdir='/usr/pkg/lib'
mandir='/usr/pkg/man/man1'
sysdatadir='/usr/pkg/lib/pari'
add_funclist='../src/funclist'
__gnuc__='10.5.0 (nb3 20231008) '
CC='gcc'
CFLAGS='-O3 -Wall -fomit-frame-pointer -O2 -I/usr/pkg/include -I/usr/pkg/include/ncurses -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/ncurses -I/usr/include'
optimization='full'
DBGFLAGS='-g -Wall'
OPTFLAGS='-O3 -Wall -fomit-frame-pointer'
exe_suff=''
suffix=''
ASMINLINE='yes'
LD='gcc'
LDFLAGS='-O3 -Wall -fomit-frame-pointer -O2 -I/usr/pkg/include -I/usr/pkg/include/ncurses -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/ncurses -I/usr/include -Wl,--export-dynamic -L/usr/pkg/lib -Wl,-R/usr/pkg/lib -L/usr/lib -Wl,-R/usr/lib'
LIBS='-lm -L/usr/pkg/lib -lgmp'
runpathprexix=''
LDneedsWl='yes'
LDused='ld'
GNULDused='yes'
DLCFLAGS=''
DL_DFLT_NAME='NULL'
DLLD='gcc'
DLLDFLAGS='-shared $(CFLAGS) $(DLCFLAGS) -Wl,-shared,-soname=$(LIBPARI_SONAME)'
EXTRADLLDFLAGS=''
DLSUFFIX='so'
soname='.2'
sodest='.2.3.5'
EXTRAMODLDFLAGS=''
MODLD='gcc'
MODLDFLAGS='-shared $(CFLAGS) $(DLCFLAGS) -Wl,-shared'
modules_build='gcc -c -o %s.o -O3 -Wall -fomit-frame-pointer -O2 -I/usr/pkg/include -I/usr/pkg/include/ncurses -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/ncurses -I/usr/include -I/usr/pkg/include %s.c && gcc -o %s.so -shared -O3 -Wall -fomit-frame-pointer -O2 -I/usr/pkg/include -I/usr/pkg/include/ncurses -I/usr/include -I/usr/pkg/include -I/usr/pkg/include/ncurses -I/usr/include -Wl,-shared %s.o '
readline='/usr/pkg/lib'
readline_version='8.3'
readline_enabledp='t'
CPPF_defined=''
rl_library_version='yes'
rl_fake_library_version=''
rl_history='yes'
rl_refresh_line_oldproto=''
rl_appendchar='yes'
rl_message='yes'
rl_save_prompt='yes'
rl_fake_save_prompt=''
_rl_save_promptrl_genericbind=''
rl_bind_key_in_map='yes'
rl_attempted_completion_over='yes'
rl_completion_query_items='yes'
rl_completion_matches='yes'
rl_completion_func_t='yes'
RLINCLUDE='-I/usr/pkg/include'
RLLIBS='-Wl,-R/usr/pkg/lib -L/usr/pkg/lib -lreadline -L/usr/lib -ltermcap'
gmp='/usr/pkg/lib'
GMPLIBS='-L/usr/pkg/lib -lgmp'
GMPINCLUDE='-I/usr/pkg/include'
has_exp2='yes'
has_log2='yes'
has_strftime='yes'
has_getrusage='yes'
has_sigaction='yes'
has_TIOCGWINSZ='yes'
has_getrlimit='yes'
has_stat='yes'
has_vsnprintf='yes'
has_dlopen='yes'
